commit cc1724759b898efc703867a83d38173e4b2794b5
Author: Anton A. Melnikov <a.melnikov@postgrespro.ru>
Date:   Mon May 29 13:52:42 2023 +0300

    Return false from bms_is_member() if checked value is negative.

diff --git a/src/backend/nodes/bitmapset.c b/src/backend/nodes/bitmapset.c
index 7ba3cf635b..3e1db5fda2 100644
--- a/src/backend/nodes/bitmapset.c
+++ b/src/backend/nodes/bitmapset.c
@@ -446,9 +446,9 @@ bms_is_member(int x, const Bitmapset *a)
 	int			wordnum,
 				bitnum;
 
-	/* XXX better to just return false for x<0 ? */
+	/* bitmapset member cannot be negative */
 	if (x < 0)
-		elog(ERROR, "negative bitmapset member not allowed");
+		return false;
 	if (a == NULL)
 		return false;
 	wordnum = WORDNUM(x);
